Foreach in AutoLISP Programming

Sdílet
Vložit
  • čas přidán 7. 03. 2021
  • In this session you will learn how to process each element in a list using Foreach function in AutoLISP.
  • Věda a technologie

Komentáře • 24

  • @claudeboucher6170
    @claudeboucher6170 Před 3 lety

    Merci !! Très utile pour mon apprentissage.

  • @satydevnegi5454
    @satydevnegi5454 Před 3 lety +1

    Your videos are very much inspiring for AutoCAD programmer, can you please make a video on saving lisp files non editable format.

  • @RajCAD8801
    @RajCAD8801 Před 3 lety

    Thank you.

  • @behruz.anvarzoda
    @behruz.anvarzoda Před 3 lety

    Super, as always. thanks for your work.

  • @R-sum
    @R-sum Před rokem

    very informative

  • @amnoorulaman
    @amnoorulaman Před 3 lety

    Crystal clear explanation. Thanks.
    Dear master, is any command available to get the name of lisp command. That is,
    (defun c:xyz()
    )
    How to get "xyz" as string within this programme?

  • @ibrahimpatel9006
    @ibrahimpatel9006 Před rokem +1

    I have created block and that block I have use as a insert block. For insert block I prefer CUIX.File and VLSIP.
    Through CUIX I have set symbol in Autocad ribbon and the same block used through LISP for shortcut command.
    When I used through CUIX I got correct block layer properties. I mean I have created in "xyz" layer. Using through CUIX I got the same layer in my new drawing. If even my current layer is 0 but they still put "xyz" layer in my new drawing. This is correct for me.
    When I use LISP shortcut command for the same insert block. If my current layer is "ABCD" then block properties has changed automatically. The layer of blocks has changed into current layer.

    • @ibrahimpatel9006
      @ibrahimpatel9006 Před rokem +1

      VLISP
      (defun c:RECCS2 (/ blockName fileName insertPoint )
      (setq blockName "Reccs1"
      fileName "C:\Desktop\To be check\Recc3.dwg")

      (if (not(tblsearch "layer" "Reccs1")) ;; check if the drawing not existing the block name
      (progn
      (vl-cmdf "-insert" "Recc3" "0.0,0.0,0.0" "" "" "") ;;inserts your master file from some defined file path
      (vl-cmdf "._erase" "l" "") ;;erases the block; last inserted
      ))

      (if (setq insertPoint (getpoint "
      pick point:"))
      (vl-cmdf "-insert" "Reccs1" pause "1" "1" "0") ;;inserts the block you want from the master file
      )
      (princ)
      )

    • @ibrahimpatel9006
      @ibrahimpatel9006 Před rokem +1

      CUIX
      ^C^C-insert;Recc3;\;;;explode;last;-purge;Blocks;Recc3;N;

  • @subhamkumarshaw3095
    @subhamkumarshaw3095 Před 3 lety

    Gurudev🙏

  • @PANDURANG99
    @PANDURANG99 Před 3 lety

    I have done one programme

  • @ibrahimpatel9006
    @ibrahimpatel9006 Před rokem

    May I get LISP to explode block and make block again with the same name

  • @ganemi2
    @ganemi2 Před 2 lety

    In the program, sublist is the defined function or variable.... I am not seeing sublist declared as variable anywhere in the program.... Your method of teaching is very good...

    • @cyberCADsolutions
      @cyberCADsolutions  Před 2 lety

      Sublist means a list in another list.
      Thank you. Please share to your friends and colleagues.

    • @ganemi2
      @ganemi2 Před 2 lety

      Thank for the clarification....

  • @mesuttasar21
    @mesuttasar21 Před 2 měsíci

    "sublist" word is function or variable which used in lisp?

  • @ifty_arain
    @ifty_arain Před měsícem

    I have created above program without using if and progn functions it worked and got the same results of coordinates on vertices of polyline. Can you please explain why you used both functions if and progn in your program?

    • @ifty_arain
      @ifty_arain Před měsícem

      Only used If function (if (=(car(sublist) 10) , didn’t use here progn

    • @cyberCADsolutions
      @cyberCADsolutions  Před měsícem

      czcams.com/video/EGURrO4DqVA/video.html